#include "AiAdjustUp.h"

void AiAdjustUp::SetState(int stateID, int lr)
{
	AiRecord::SetState(stateID, lr);
	ani.sprite_index = lr == 0 ? L"ai_adjust_up_l" : L"ai_adjust_up_r";
}

std::shared_ptr<Entity> CreateAiAdjustUp()
{
	return std::make_shared<AiAdjustUp>();
}
